Page MenuHomePhabricator

Invalid "more warnings" label shown during message translation
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce:

  1. Choose a message for translation that is outdated and has a message checker.
  2. Remove the insertable such that we now have 2 warnings appearing, one regarding the message being outdated, and the other regarding missing insertable.
  3. Add the insertable back.

Actual Results:

The outdated warning no longer appears, and an invalid more label button is displayed. See image below,

Expected Results:

  1. Only the outdated message warning should be displayed
  2. We should not see the "more" label

Event Timeline

abi_ created this task.Apr 12 2019, 7:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2019, 7:40 AM
abi_ triaged this task as Normal priority.Apr 12 2019, 7:41 AM
abi_ moved this task from Backlog to In Progress on the User-abi_ board.Apr 15 2019, 9:47 AM

Change 500243 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[mediawiki/extensions/Translate@master] Adds new MessageValidator framework to improve translation validation

https://gerrit.wikimedia.org/r/500243

abi_ moved this task from In Progress to Under Review on the User-abi_ board.Apr 17 2019, 8:11 AM
abi_ moved this task from Under Review to Backlog on the User-abi_ board.May 14 2019, 11:14 AM
abi_ moved this task from Backlog to In Progress on the User-abi_ board.May 17 2019, 6:18 PM
abi_ moved this task from In Progress to Under Review on the User-abi_ board.May 20 2019, 4:23 AM

Change 500243 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Add new MessageValidator framework to improve translation validation

https://gerrit.wikimedia.org/r/500243

abi_ moved this task from Under Review to QA on the User-abi_ board.Jun 13 2019, 6:29 PM
abi_ closed this task as Resolved.Jul 16 2019, 5:45 AM
abi_ updated the task description. (Show Details)
abi_ moved this task from QA to Done on the User-abi_ board.

This is now fixed and deployed on Translatewiki.net. Tested to make sure that it was working properly.